org.eclipse.jface.text.contentassist

## Interface IContentAssistantExtension

All Known Implementing Classes:
  ContentAssistant, SubjectControlContentAssistant

    public interface IContentAssistantExtension

Extends `IContentAssistant` with the following functions:

- handle documents with multiple partitions
- insertion of common completion prefixes

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `completePrefix()` Inserts the common prefix of the available completions.
`String` `getDocumentPartitioning()` Returns the document partitioning this content assistant is using.

### Method Detail

#### getDocumentPartitioning

    String getDocumentPartitioning()

Returns the document partitioning this content assistant is using.

Returns:
  the document partitioning this content assistant is using

#### completePrefix

    String completePrefix()

Inserts the common prefix of the available completions. If no common prefix can be computed it is identical to `IContentAssistant.showPossibleCompletions()`.

Returns:
  an optional error message if no proposals can be computed